Fallout 2 1.2 patch error on vista

Discussion in 'Fallout RPG Gameplay & Tech' started by redwhiteandnuge, Jul 6, 2009.

  1. redwhiteandnuge

    redwhiteandnuge First time out of the vault

    3
    Jul 6, 2009
    first off, im a noob to old school fallout games.

    Im trying to update my fallout 2 to the newest patch and get the error saying that the patch is not compatible with the version of windows im running, which is Vista Home Premium

    if anyone has had the same or a similar problem is there a way i can fix this?

    UPDATE:
    The error says
    "The version of this file is not compatible with the version of Windows you're running. Check your computer's system information to see whether you need and x86 (32 - bit) or 64x (64 - bit) version of the program, and then contact the sofware publisher.
    i run on 64 bit

    before i try to contact anyone is there anything i can do to get it working?
     
  2. 123fly

    123fly First time out of the vault

    1
    Aug 9, 2009
    Same problem here. Help??
     
  3. HoboWithAGlock

    HoboWithAGlock First time out of the vault

    25
    Aug 14, 2009
    Was about to make the exact same thread.


    It worked fine on my 32 bit OS, but when I had to reformat and used 64 bit instead, this problem kept emerging.
     
  4. Old games hate 64bit OSs and machines with more than one processor. Update windows, and google an app that configures your processors and your bits. A more educated person on this subject can give you specifics if needed.
     
  5. JayGrey

    JayGrey It Wandered In From the Wastes

    113
    Jun 8, 2009
    The version of Windows . . . 64 bit. This part is key.

    Believe emulating a Windows XP 32 bit operating system will allow you to run them, and use all that delicious RAM them purdy 64 bits allows you access.

    These games, being ment to run on a pseduo 32 bit operating system, sitting on top of a 16 bit operating system, get angry.

    Gah, I hope I'm not spreading false-hoods.

    Oh, and right click on the fallout shortcut or excutable, click on compatibility tab, then select Windows 95, just as a last gasp, before installing a virtual 32 bit operating system.

    Or worse, installing Linux, then installing Wine, to run Fallout as either a duel boot or a virtual operating system within your current version of Windows, just becuase you can't afford/acquire a 32 bit version of Windows to play the game.

    Or, play without the patch.
     
  6. HoboWithAGlock

    HoboWithAGlock First time out of the vault

    25
    Aug 14, 2009
    Well, I fixed the problem, simply by redownloading the game already patched.


    It seems that vista won't recognize that the game IS running in 32 bit, and the it thinks the patch is "evil" or whatever the hell vista thinks about "bad" files.
     
  7. JayGrey

    JayGrey It Wandered In From the Wastes

    113
    Jun 8, 2009
    Ha ha ha. Vista, baby. :mrgreen: